postgis_2.3.3+dfsg-1_i386.deb


Advertisement

Description

postgis - Geographic objects support for PostgreSQL

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name postgis
Package version 2.3.3+dfsg
Package release 1
Package architecture i386
Package type deb
Installed size 425 B
Download size 131.53 KB
Official Mirror archive.ubuntu.com
PostGIS adds support for geographic objects to the PostgreSQL
object-relational database. In effect, PostGIS "spatially enables"
the PostgreSQL server, allowing it to be used as a backend spatial
database for geographic information systems (GIS), much like ESRI's
SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
"Simple Features Specification for SQL".
This package contains the PostGIS userland binaries, common files.

Alternatives

Package Version Architecture Repository
postgis_2.3.3+dfsg-1_amd64.deb 2.3.3+dfsg amd64 Ubuntu Universe
postgis - - -

Requires

Name Value
libc6 >= 2.8
libgdal20 >= 2.0.1
libgeos-c1v5 >= 3.4.2
liblwgeom-2.3-0 >= 2.0.0
libpq5 -

Download

Type URL
Binary Package postgis_2.3.3+dfsg-1_i386.deb
Source Package postgis

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install postgis deb package:
    # sudo apt-get install postgis

Files

Path
/usr/bin/pgsql2shp
/usr/bin/raster2pgsql
/usr/bin/shp2pgsql
/usr/share/doc/postgis/NEWS.Debian.gz
/usr/share/doc/postgis/README.Debian
/usr/share/doc/postgis/changelog.Debian.gz
/usr/share/doc/postgis/copyright
/usr/share/doc/postgis-doc/README.postgis.gz
/usr/share/lintian/overrides/postgis
/usr/share/man/man1/pgsql2shp.1.gz
/usr/share/man/man1/raster2pgsql.1.gz
/usr/share/man/man1/shp2pgsql.1.gz

Changelog

2017-07-01 - Bas Couwenberg <sebastic@debian.org>
postgis (2.3.3+dfsg-1) unstable; urgency=medium
* New upstream release.
* Refresh patches.
2017-06-25 - Bas Couwenberg <sebastic@debian.org>
postgis (2.3.2+dfsg-2) unstable; urgency=medium
* Enable PIE hardening flags.
(closes: #865775)
* Disable PIE on Ubuntu where it's still problematic.
* Bump Standards-Version to 4.0.0, no changes.
* Use pkg-info.mk variables instead of dpkg-parsechangelog output.
2017-06-18 - Bas Couwenberg <sebastic@debian.org>
postgis (2.3.2+dfsg-1) unstable; urgency=medium
[ Markus Wanner ]
* Add a trivial autopkgtest to check creation of the extension.
[ Bas Couwenberg ]
* Fix test-extension-creation autopkgtest name in control file.
* Move from experimental to unstable.
2017-03-24 - Markus Wanner <markus@bluegap.ch>
postgis (2.3.2+dfsg-1~exp2) experimental; urgency=medium
* Add patch avoid-bashisms.patch to fix the generated sql files.
Closes: #858610.
2017-01-31 - Bas Couwenberg <sebastic@debian.org>
postgis (2.3.2+dfsg-1~exp1) experimental; urgency=medium
* New upstream release.
* Fix cleanup of generated .install files.
2016-11-29 - Bas Couwenberg <sebastic@debian.org>
postgis (2.3.1+dfsg-1) unstable; urgency=medium
* New upstream release.
* Use dh_install -a instead of deprecated -s option.
2016-10-10 - Bas Couwenberg <sebastic@debian.org>
postgis (2.3.0+dfsg-3) unstable; urgency=medium
* Restructure control file with cme.
* Reorder (build) dependencies.
* Drop explicit liblwgeom-2.3-0 dependency from -postgis-2.3 package,
already set via ${shlibs:Depends}.
* Rewrite rules file to use dh sequencer.
* Rely on dpkg-buildflags instead of including buildflags.mk.
* Use DEB_BUILD_ARCH instead of DEB_HOST_ARCH.
* Fix unused substitution variable ${perl:Depends} for -scripts package.
2016-09-30 - Markus Wanner <markus@bluegap.ch>
postgis (2.3.0+dfsg-2) unstable; urgency=medium
* Update pgversions to require PostgreSQL 9.2 or newer.
* Run tests against all supported PostgreSQL versions.
* Downgrade the dependency from the extension package to the
scripts package to a recommendation, so the former becomes
co-installable with older versions, again. Closes: #839182.
2016-09-26 - Bas Couwenberg <sebastic@debian.org>
postgis (2.3.0+dfsg-1) unstable; urgency=medium
* New upstream release.
* Move from experimental to unstable.
2016-09-24 - Bas Couwenberg <sebastic@debian.org>
postgis (2.3.0~rc1+dfsg-1~exp2) experimental; urgency=medium
* Update packaging for postgresql-9.6.

See Also

Package Description
postgresql-9.6-asn1oid_0.0.20100818-3.5_i386.deb ASN.1 OID data type for PostgreSQL
postgresql-9.6-bgw-replstatus_1.0.1_i386.deb report whether PostgreSQL node is master or standby
postgresql-9.6-citus_6.2.2.PGDG-1_i386.deb sharding and distributed joins for PostgreSQL
postgresql-9.6-debversion_1.0.8-2_i386.deb Debian version number type for PostgreSQL
postgresql-9.6-dirtyread_1.2_i386.deb Read dead but unvacuumed tuples from a PostgreSQL relation
postgresql-9.6-ip4r_2.1.1-1ubuntu2_i386.deb IPv4 and IPv6 types for PostgreSQL 9.6
postgresql-9.6-mimeo_1.5.1-1_all.deb specialized, per-table replication between PostgreSQL instances
postgresql-9.6-mysql-fdw_2.2.0-2_i386.deb Postgres 9.6 Foreign Data Wrapper for MySQL
postgresql-9.6-ogr-fdw_1.0.2-2_i386.deb PostgreSQL foreign data wrapper for OGR
postgresql-9.6-orafce_3.3.1-3_i386.deb Oracle support functions for PostgreSQL 9.6
postgresql-9.6-partman_2.6.3-1_i386.deb PostgreSQL Partition Manager
postgresql-9.6-pgaudit_1.1.0-1_i386.deb PostgreSQL Audit Extension
postgresql-9.6-pgextwlist_1.5-1_i386.deb PostgreSQL Extension Whitelisting
postgresql-9.6-pgfincore_1.2-2_i386.deb set of PostgreSQL functions to manage blocks in memory
postgresql-9.6-pglogical_2.0.0-1_i386.deb Logical Replication Extension for PostgreSQL
Advertisement
Advertisement